# Class CompareByValue

java.lang.Object
org.snpeff.geneOntology.CompareByValue

All Implemented Interfaces:
  `Comparator`

public class CompareByValue extends Object implements Comparator
Compare two elements in a Map (e.g. HashMap) accessing them by keys. Useful to sort by values elements in a Map Note: Decreasing order

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`CompareByValue(Map map)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object arg1, Object arg2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### CompareByValue

public CompareByValue(Map map)

## Method Details

### compare

public int compare(Object arg1, Object arg2)

Specified by:
  `compare` in interface `Comparator`